## dothost 0.2.1

=== Makefile ===
# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
# SPDX-License-Identifier: MIT

PYTHON = python3

PREFIX = /usr/local
DESTDIR =

bindir = $(PREFIX)/bin
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

.PHONY: install
install: dothost
	# executable:
	install -d $(DESTDIR)$(bindir)
	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
	sed \
		-e "1 s@^#!.*@#!$$python_exe@" \
		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
		$(<) > $(<).tmp
	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
	rm $(<).tmp
	# manual page:
	install -d $(DESTDIR)$(mandir)/man1
	install -p -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/

network =
maybe-test-net = $(and $(network),DOTHOST_TEST_NETWORK=1)

.PHONY: test
test: dothost
	$(maybe-test-net) prove -v

.PHONY: test-installed
test-installed: $(or $(shell command -v dothost;),$(bindir)/dothost)
	$(maybe-test-net) DOTHOST_TEST_TARGET=dothost prove -v

.PHONY: clean
clean:
	rm -f *.tmp

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

## dothost 0.2

=== debian/changelog ===
dothost (0.2-3) unstable; urgency=medium

  * debian/control:
      - Added the field Multi-Arch: same.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: Updated packaging copyright years.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Sat, 08 Feb 2020 09:28:33 -0300

dothost (0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Thu, 28 Nov 2019 16:55:00 -0300

dothost (0.2-1) experimental; urgency=medium

  * Initial release (Closes: #942422)

 -- Thiago Andrade Marques <thmarques@gmail.com>  Sat, 19 Oct 2019 23:45:02 -0300

=== debian/control ===
Source: dothost
Section: net
Priority: optional
Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://jwilk.net/software/dothost
Vcs-Browser: https://salsa.debian.org/debian/dothost
Vcs-Git: https://salsa.debian.org/debian/dothost.git

Package: dothost
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, libgraph-easy-perl
Suggests: graphviz
Multi-Arch: same
Description: simple DNS lookup network utility, produces output in Graphviz format
 Dothost is a Domain Name System (DNS) lookup network utility
 that produces output in Graphviz format. Supported output
 formats are: ascii, boxart, html, svg, dot, txt, vcg, gdl,
 graphml, gif, jpg, pdf, png and ps. It's a tool that display
 DNS records in the terminal or export to a file.
 .
 This program can help you to create DNS lookup diagrams in some
 formats for large networks.
 .
 Target name or IP can be used for DNS outputs. Dothost supports
 IPv4 and IPv6 network protocols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/tests/control ===
Test-Command: dothost www.debian.org | graph-easy --as boxart || exit 77
Depends: @, libgraph-easy-perl
Restrictions: skippable

Test-Command: dh_auto_test
Depends: @, debhelper

=== debian/watch ===
version=4
https://github.com/jwilk/dothost/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## dothost 0.2.1

=== debian/changelog ===
dothost (0.2.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.0.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 08 Oct 2024 11:38:11 -0300

dothost (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1.
  * debian/patches/010_added-information-manpage.patch: removed, no more needed.
  * debian/copyright: updated packaging and upstream copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 07 Mar 2024 13:53:04 -0300

dothost (0.2-7) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Thiago Andrade Marques <andrade@debian.org>  Wed, 28 Dec 2022 10:20:43 -0300

dothost (0.2-6) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards from GitHub.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 07 Sep 2021 18:50:41 -0300

dothost (0.2-5) unstable; urgency=medium

  * debian/control: Updated my email address.
  * debian/copyright: Updated my email address.
  * debian/patches/010_added-information-manpage.patch: Updated my email
    address.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 18 Aug 2020 11:00:57 -0300

dothost (0.2-4) unstable; urgency=medium

  * debian/control: bumped DH level to 13.
  * debian/tests/control:
      - Added new tests.
      - Changed one test to fixed test data with an URL that don't
        changes anytime. Thanks to Niels Thykier. (Closes: #960907)
  * debian/upstream/metadata: created.
  * debian/watch: updated.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Sun, 24 May 2020 23:36:13 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dothost
 Section: net
 Priority: optional
-Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://jwilk.net/software/dothost
 Vcs-Browser: https://salsa.debian.org/debian/dothost

=== debian/tests/control ===
Test-Command: dothost www.example.org | graph-easy --as boxart || exit 77
Depends: @, libgraph-easy-perl
Restrictions: skippable

Test-Command: dothost www.example.org | graph-easy --as ascii || exit 77
Depends: @, libgraph-easy-perl
Restrictions: skippable

Test-Command: dh_auto_test
Depends: @, debhelper

Test-Command: dothost -h
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/jwilk/dothost/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
